Subject: [PATCH 14/38] iio: accel: st: Append _accel to accelerator sensor device names

From: [email-masked] (Denis CIOCCA)
Date: Mon, 16 Sep 2013 11:21:12 +0200

Hi Lars,
> On 09/14/2013 02:27 PM, Jonathan Cameron wrote:
>> On 09/14/13 13:14, Jonathan Cameron wrote:
>>> On 09/10/13 13:49, Lee Jones wrote:
>>>> Some of ST's sensors are appended with their sensor type and some
>>>> are not. For consistency we're extending the same naming convention
>>>> throughout.
>>>>
>>>> Signed-off-by: Lee Jones <[email-masked]>
>>> Honestly I don't care either way on these, but consistency would definitely
>>> be good so applied to the togreg branch of iio.git
>>>
>>> Thanks,
>> Actually change of plan. I'm going to hold off on these as this an ABI change.
>> Iritating though having these as completely inconsistent is, changing this
>> will change device identification from userspace which is not a good idea.
>>
>> Sorry Lee, but we really shouldn't do this. I should have picked up on this
>> in the original driver reviews but that's hindsight for you.
> I think those with the suffix are the ones where you have accel and gyro in
> the same package, the ones without the suffix are pure accelerometers.
Yes You are right. I've used this kind of logic... What do you think about?

Denis